<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
      	<style type="text/css">
      	<!--
      	  .portlet-section-header {
      	    font-size: small;
      	  }
      	
      	  .portlet-font,
      	  .portlet-section-subheader,
          .portlet-section-footer,
       	  .portlet-section-body, .portlet-section-body-hover, tr.portlet-section-body:hover,
      	  .portlet-section-alternate, .portlet-section-alternate-hover, tr.portlet-section-alternate:hover,
      	  .portlet-msg-alert,
      	  .portlet-msg-error { 
      	    font-size: xx-small; 
      	  }
      	-->
      	</style>
<fmt:setBundle basename="hu.midori.kosmos.portlet.jira.jira_monitoring" scope="application"/>

<display:table name="${projects}" id="projectsIt" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <c:set var="id" scope="page" value="${projectsIt.id}"/> 
  <display:column style="width:20px">
    <c:choose>
      <c:when test="${projectsIt.openIssues > (0.5*projectsIt.totalIssues)}">
        <img src="<%= renderRequest.getContextPath() %>/pages/images/warning.gif" title="<fmt:message key="legend.warning"/>"/>
      </c:when>
      <c:otherwise>
        &nbsp;
      </c:otherwise>  
    </c:choose>
  </display:column>
  <display:column titleKey="jiraproject.name" style="white-space:nowrap" sortProperty="name" sortable="true">
    <a href="<c:out value="${projectsIt.url}"/>"><c:out value="${projectsIt.name}"/></a>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewProjectDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="jiraproject.projectDetails"/>" border="0"/>
    </a>
  </display:column>  
  <display:column titleKey="jiraproject.key" style="white-space:nowrap" property="key" sortable="true"/>
  <display:column titleKey="jiraproject.lead" style="white-space:nowrap" property="lead" sortable="true"/>
  <display:column titleKey="jiraproject.assignees" style="white-space:nowrap" sortProperty="openIssueAssignees" sortable="true">
    <fmt:formatNumber value="${projectsIt.openIssueAssignees}"/>
  </display:column>
  <display:column titleKey="jiraproject.openIssues" style="white-space:nowrap" sortProperty="openIssues" sortable="true">
    <c:if test="${projectsIt.openIssues > 10}"><span class="portlet-msg-error"></c:if>    
    <fmt:formatNumber value="${projectsIt.openIssues}"/>
    &nbsp;(<fmt:formatNumber value="${projectsIt.openIssues / projectsIt.totalIssues}" type="percent"/>)
    <c:if test="${projectsIt.openIssues > 10}"></span></c:if>    
  </display:column>
  <display:column titleKey="jiraproject.codingInProgressIssues" style="white-space:nowrap" sortProperty="codingInProgressIssues" sortable="true">
    <fmt:formatNumber value="${projectsIt.codingInProgressIssues}"/>
    &nbsp;(<fmt:formatNumber value="${projectsIt.codingInProgressIssues / projectsIt.totalIssues}" type="percent"/>)  
  </display:column>
  <display:column titleKey="jiraproject.reopenedIssues" style="white-space:nowrap" sortProperty="reopenedIssues" sortable="true">
    <fmt:formatNumber value="${projectsIt.reopenedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${projectsIt.reopenedIssues / projectsIt.totalIssues}" type="percent"/>)  
  </display:column>
  <display:column titleKey="jiraproject.resolvedIssues" style="white-space:nowrap" sortProperty="resolvedIssues" sortable="true">
    <fmt:formatNumber value="${projectsIt.resolvedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${projectsIt.resolvedIssues / projectsIt.totalIssues}" type="percent"/>)  
  </display:column>
  <display:column titleKey="jiraproject.closedIssues" style="white-space:nowrap" sortProperty="closedIssues" sortable="true">
    <fmt:formatNumber value="${projectsIt.closedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${projectsIt.closedIssues / projectsIt.totalIssues}" type="percent"/>)  
  </display:column>
  <display:column titleKey="jiraproject.issuesByStatus" sortProperty="openIssues" sortable="true">
    <c:if test="${projectsIt.totalIssues > 0}">
      <table valign="center">
        <tr>
          <td>
            <table style="border: 1px solid #DDDDDD;" width="100px" valign="middle" align="center" cellspacing="0" cellpadding="0">
              <tr>
                <td style="background-color:#FF0000"><img src="<%= renderRequest.getContextPath() %>/pages/images/spacer.gif" width="<fmt:formatNumber value="${(100*projectsIt.openIssues) / projectsIt.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color:#FFFF00"><img src="<%= renderRequest.getContextPath() %>/pages/images/spacer.gif" width="<fmt:formatNumber value="${(100*projectsIt.codingInProgressIssues) / projectsIt.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color:#DD0000"><img src="<%= renderRequest.getContextPath() %>/pages/images/spacer.gif" width="<fmt:formatNumber value="${(100*projectsIt.reopenedIssues) / projectsIt.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color:#00FF00"><img src="<%= renderRequest.getContextPath() %>/pages/images/spacer.gif" width="<fmt:formatNumber value="${(100*projectsIt.resolvedIssues) / projectsIt.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color:#DDDDDD"><img src="<%= renderRequest.getContextPath() %>/pages/images/spacer.gif" width="<fmt:formatNumber value="${(100*projectsIt.closedIssues) / projectsIt.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
              </tr>
            </table>    
          </td>
          <td>
            &nbsp;
            <a href="<portlet:renderURL><portlet:param name="action" value="viewIssueDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
              <img src="<%= renderRequest.getContextPath() %>/pages/images/info.gif" title="<fmt:message key="jiraproject.issueDetails"/>" border="0"/>
            </a>
          </td>
        </tr>
      </table>
    </c:if>
  </display:column>  
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>
     
<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
